QwtSplineCurveFitter(3)

NAME
QwtSplineCurveFitter -

SYNOPSIS

#include <qwt_curve_fitter.h>

Inherits QwtCurveFitter.

  Public Types
enum FitMode { Auto, Spline, ParametricSpline }

  Public Member Functions
QwtSplineCurveFitter ()
virtual ~QwtSplineCurveFitter ()
virtual QPolygonF fitCurve (const QPolygonF &) const
FitMode fitMode () const
void setFitMode (FitMode)
void setSpline (const QwtSpline &)
void setSplineSize (int size)
const QwtSpline & spline () const
QwtSpline & spline ()
int splineSize () const

  Additional Inherited Members

Detailed Description

A curve fitter using cubic splines.

Member Function Documentation

  QPolygonF QwtSplineCurveFitter::fitCurve (const QPolygonF &points) const [virtual]
Find a curve which has the best fit to a series of data points

Parameters:
    points Series of data points

Returns:
    Curve points

Implements QwtCurveFitter.

  QwtSplineCurveFitter::FitMode QwtSplineCurveFitter::fitMode () const
Returns:
    Mode representing a spline algorithm

See also:
    setFitMode()

  void QwtSplineCurveFitter::setFitMode (FitModemode)
Select the algorithm used for building the spline

Parameters:
    mode Mode representing a spline algorithm

See also:
    fitMode()

  void QwtSplineCurveFitter::setSplineSize (intsplineSize)
Assign a spline size ( has to be at least 10 points )

Parameters:
    splineSize Spline size

See also:
    splineSize()

  int QwtSplineCurveFitter::splineSize () const
Returns:
    Spline size

See also:
    setSplineSize()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.